List my orders
GET
/api/website/me/orders
const url = 'https://api.petanqueai.com/api/website/me/orders?page=1&limit=20&order=asc&status=DRAFT&channel=FIELD&invoiceStatus=PENDING&sort=orderDate';const options = { method: 'GET', headers: { 'x-storefront-token': '<x-storefront-token>', 'x-customer-session': '<x-customer-session>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.petanqueai.com/api/website/me/orders?page=1&limit=20&order=asc&status=DRAFT&channel=FIELD&invoiceStatus=PENDING&sort=orderDate' \ --header 'x-customer-session: <x-customer-session>' \ --header 'x-storefront-token: <x-storefront-token>'The shopper’s orders, including any they placed as a guest with the same email address. Orders still waiting for payment are not listed. Paginated like the product list; filter with status, from and to.